autofs-5.1.6 - remove logpri fifo on autofs mount fail

From: Ian Kent <raven@themaw.net>

Don't leave log priority command fifo file around on autofs mount failure.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG          |    1 +
 daemon/automount.c |    4 +++-
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 60cd43e3..f0aa725d 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -46,6 +46,7 @@ xx/xx/2020 autofs-5.1.7
 - fix incorrect logical compare in unlink_mount_tree().
 - use bit flag for force unlink mounts.
 - improve force unlink option description.
+- remove command fifo on autofs mount fail.
 
 07/10/2019 autofs-5.1.6
 - support strictexpire mount option.
diff --git a/daemon/automount.c b/daemon/automount.c
index 6e208d0a..3b4dc833 100644
--- a/daemon/automount.c
+++ b/daemon/automount.c
@@ -1180,8 +1180,10 @@ static int mount_autofs(struct autofs_point *ap, const char *root)
 	else
 		status = mount_autofs_indirect(ap, root);
 
-	if (status < 0)
+	if (status < 0) {
+		destroy_logpri_fifo(ap);
 		return -1;
+	}
 
 	st_add_task(ap, ST_READY);
 
